## Class TPagerPageChangedEventParameter

Description

TPagerPageChangedEventParameter class

TPagerPageChangedEventParameter encapsulates the parameter data for TPager::onPageIndexChanged event of TPager controls.

The CommandSource property refers to the control that originally raises the OnCommand event, while NewPageIndex returns the new page index carried with the page command.

- since: 3.0.2
- version: $Id: TPager.php 2069 2007-07-25 11:24:00Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TPager.php (line 711)

    TComponent
       |
       --TEventParameter
          |
          --TPagerPageChangedEventParameter

Method Summary
TPagerPageChangedEventParameter __construct (TControl $source, integer $newPageIndex)
TControl getCommandSource ()
integer getNewPageIndex ()
Methods
Constructor __construct (line 727)

Constructor.

- access: public

TPagerPageChangedEventParameter __construct (TControl $source, integer $newPageIndex)

- TControl $source: the control originally raises the OnCommand event.
- integer $newPageIndex: new page index

getCommandSource (line 736)

- return: the control originally raises the OnCommand event.
- access: public

TControl getCommandSource ()
getNewPageIndex (line 744)

- return: new page index
- access: public

integer getNewPageIndex ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:49 -0400 by phpDocumentor 1.3.0RC4